export declare enum AssetLevel {
    Environment = 1,
    Library = 2,
    Theme = 3,
    Runtime = 4,
    Components = 5,
    App = 6
}
export declare const AssetLevels: AssetLevel[];
export type URL = string;
export declare enum AssetType {
    JSUrl = "jsUrl",
    CSSUrl = "cssUrl",
    CSSText = "cssText",
    JSText = "jsText",
    Bundle = "bundle"
}
export interface AssetItem {
    type: AssetType;
    content?: string | null;
    device?: string;
    level?: AssetLevel;
    id?: string;
    scriptType?: string;
}
export type AssetList = Array<Asset | undefined | null>;
export type Asset = AssetList | AssetBundle | AssetItem | URL;
export interface AssetBundle {
    type: AssetType.Bundle;
    level?: AssetLevel;
    assets?: Asset | AssetList | null;
}
